package it.integry.integrywmsnative.core.data_store.db.entity;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.Index;
import androidx.room.PrimaryKey;

@Entity(tableName ="griglie",
        indices = {
                @Index(value = "cod_alis", unique = true)
        }
)

public class Griglia {
    @PrimaryKey(autoGenerate = true)
    @ColumnInfo(name = "griglia_id")
    private int grigliaId;
    @ColumnInfo(name = "cod_alis")
    private String codAlis;
    @ColumnInfo(name = "descr_lisa")
    private String descrLisa;
    @ColumnInfo(name = "descr_depo")
    private String descrDepo;
    @Ignore
    private int countArticoli = 0;


    public int getGrigliaId() {
        return grigliaId;
    }

    public void setGrigliaId(int grigliaId) {
        this.grigliaId = grigliaId;
    }

    public String getCodAlis() {
        return codAlis;
    }

    public void setCodAlis(String codAlis) {
        this.codAlis = codAlis;
    }

    public String getDescrLisa() {
        return descrLisa;
    }

    public void setDescrLisa(String descrLisa) {
        this.descrLisa = descrLisa;
    }

    public String getDescrDepo() {
        return descrDepo;
    }

    public void setDescrDepo(String descrDepo) {
        this.descrDepo = descrDepo;
    }

    public int getCountArticoli() {
        return countArticoli;
    }

    public void setCountArticoli(int countArticoli) {
        this.countArticoli = countArticoli;
    }
}
